當前位置:網站首頁>npm WARN read-shrinkwrap This version of npm is compatible with [email protected], but package-lock.

npm WARN read-shrinkwrap This version of npm is compatible with [email protected], but package-lock.

2022-05-15 02:31:53qq_22841387

問題描述

當前我通過npm安裝unplugin-icons 出現了警告

[外鏈圖片轉存失敗,源站可能有防盜鏈機制,建議將圖片保存下來直接上傳(img-R4Y37C34-1652529941925)(assets/安裝依賴報錯-20220514194521-01e0wbx.png)]

開始,我沒有管這件事,但是後面發現安裝這個依賴出奇的慢,後面果不其然的出錯了

[外鏈圖片轉存失敗,源站可能有防盜鏈機制,建議將圖片保存下來直接上傳(img-xoKULxvL-1652529941926)(assets/報錯信息-20220514194609-s4u73op.png)]

解决方法

這個報錯信息翻譯過來時

當前版本的npm與lockfile版本1兼容,但是package-lock.json被版本2生成,我將盡力去做

也就是說,很可能是因為npm版本不正確,需要我們昇級npm包

[外鏈圖片轉存失敗,源站可能有防盜鏈機制,建議將圖片保存下來直接上傳(img-Ej5DOUGg-1652529941927)(assets/安裝npm-20220514200049-e502y18.png)]

昇級完成後,不再出現此警告

版權聲明
本文為[qq_22841387]所創,轉載請帶上原文鏈接,感謝
https://cht.chowdera.com/2022/135/202205142112395031.html

隨機推薦